package com.jkcredit.record.storage.action;

import com.jkcredit.record.storage.model.CommonResponseObject;
import com.jkcredit.record.storage.model.MonthResult;
import com.jkcredit.record.storage.service.RecordStorageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
public class RecordStorage {
    @Autowired
    RecordStorageService service;

    @RequestMapping("/recordStorage")
    public CommonResponseObject recordStorage(@RequestBody List<MonthResult> records) {
        return service.recordStorage(records);
    }
}
