package com.jkcredit.record.storage.model;

import com.jkcredit.record.storage.constants.CommonConstant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CommonResponseObject implements Serializable {
    private static final long serialVersionUID = 426198091527213137L;
    private String code;
    private String message;

    public CommonResponseObject success() {
        this.code = CommonConstant.SUCCESS_CODE;
        this.message = CommonConstant.SUCCESS_MESSAGE;
        return this;
    }
}
